Bug 440203 - Intel driver fails to start X on Intel 830 graphics controller
Intel driver fails to start X on Intel 830 graphics controller
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 05:04 EDT by Tomas Linden
Modified: 2010-04-26 17:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-26 17:36:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log showing that the X11 intel driver fails with error messages (11.28 KB, text/plain)
2008-04-02 05:04 EDT, Tomas Linden
no flags Details
The output of lspci on the S6010 laptop (10.06 KB, text/plain)
2008-04-02 05:07 EDT, Tomas Linden
no flags Details
The output of dmidecode on the S6010 laptop (12.68 KB, text/plain)
2008-04-02 05:07 EDT, Tomas Linden
no flags Details
The output of dmesg on the S6010 laptop (27.65 KB, text/plain)
2008-04-02 05:08 EDT, Tomas Linden
no flags Details
X11 configuration file xorg.conf created by Fedora 9 Beta (968 bytes, text/plain)
2008-04-02 05:09 EDT, Tomas Linden
no flags Details
Xorg.0.log showing that X fails to start (13.68 KB, text/plain)
2008-05-06 07:33 EDT, Tomas Linden
no flags Details

  None (edit)
Description Tomas Linden 2008-04-02 05:04:59 EDT
Description of problem:

The intel X11 driver fails to start on Fedora 9 Beta Live CD

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Boot with Fedora 9 Beta Live CD i686
2. X11 is not started so the boot ends in a virtual console

  
Actual results:
X11 crashes with the error message 
Fatal server error:
no screens found

Expected results:
X11 would start

I have used RedHat 7.3, Fedora Core 3, 4, 5 and 6 and Fedora 7 and 8 on this 
Fujitsu-Siemens S6010 laptop with the i810 driver. The intel driver gives the 
following messages:  
(EE) intel(0): sil164 not detected got 5: from DVOI2C_E Slave 112.
(EE) intel(0): tfp410 not detected got VID 1305: from DVOI2C_E Slave 112.
(EE) intel(0): No valid modes.
(EE) Screen(s) found, but none have a usable configuration.

Additional info: The S6010 laptop has an internal 1024*768 TFT display.
Comment 1 Tomas Linden 2008-04-02 05:04:59 EDT
Created attachment 300023 [details]
Xorg.0.log showing that the X11 intel driver fails with error messages
Comment 2 Tomas Linden 2008-04-02 05:07:03 EDT
Created attachment 300024 [details]
The output of lspci on the S6010 laptop
Comment 3 Tomas Linden 2008-04-02 05:07:46 EDT
Created attachment 300025 [details]
The output of dmidecode on the S6010 laptop
Comment 4 Tomas Linden 2008-04-02 05:08:29 EDT
Created attachment 300026 [details]
The output of dmesg on the  S6010 laptop
Comment 5 Tomas Linden 2008-04-02 05:09:13 EDT
Created attachment 300028 [details]
X11 configuration file xorg.conf created by Fedora 9 Beta
Comment 6 Tomas Linden 2008-05-06 07:32:17 EDT
I burned a CD from Fedora-9-Preview-i686-Live-KDE.iso to test wether this bug 
is still there. Unfortunately the situation is unchanged since X fails to start 
with the error messages
(EE) Unable to locate/open config file
(EE) open /dev/fb0: No such file or directory
(EE) intel(0): sil164 not detected got 5: from DVOI2C_E Slave 112.
(EE) intel(0): tfp410 not detected got VID 1305: from DVOI2C_E Slave 112.
(EE) intel(0): No valid modes.
(EE) Screen(s) found, but none have a usable configuration.

Running system-config-display also fails with this error message:
Couldn't start X server on card 0
Couldn't start X server with old config, trying with a fresh configuration
Couldn't start X server on card 0
Error, failed to start X server.
Comment 7 Tomas Linden 2008-05-06 07:33:23 EDT
Created attachment 304625 [details]
Xorg.0.log showing that X fails to start
Comment 8 Bug Zapper 2008-05-14 04:34:03 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-06-09 19:58:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Tomas Linden 2009-06-18 03:53:31 EDT
This bug is still present in F11, but the bug is being tracked upstreams here
  http://bugs.freedesktop.org/show_bug.cgi?id=17902
Comment 11 Vedran Miletić 2009-09-06 03:27:05 EDT
In Fedora 11 package is named xorg-x11-drv-intel. Changing bugs apropriately.
Comment 12 Matěj Cepl 2009-11-05 13:19:06 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 13 EMR_Fedora 2009-11-18 11:16:03 EST
Intel Corporation 82845G/GL[Brookdale-G]/GE (rev 01)

It happens to me too. Sometimes I get to the login screen, other times it locks up with just the mouse cursor... etc. I have nomodeset and tried to blacklist the i915 hoping that it would find the i810 driver which seemed to work fine in the past to no avail.
Comment 14 Robert McBroom 2009-12-17 11:46:45 EST
F12!@
82945G/GZ Integrated Graphics Controller

X86_64

Complete driver failure in F12.  All install systems lock on starting X--DVD,
netinstall, LiveCD. 

Accessing an alternate console with the LiveCD and creating an xorg.conf using
the "vesa" driver allowed installation.

system-config-display locks the system.

Using the "vesa" driver but it is limited.  Cannot get multiple consoles.
Comment 15 Matěj Cepl 2010-02-26 07:18:55 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 16 Tomas Linden 2010-03-11 07:05:52 EST
I confirm in response to comment 12 that the bug is still there in Fedora 12.
The issue is being tracked upstreams as stated in comment 10.
Comment 17 Tomas Linden 2010-03-11 07:13:35 EST
(In reply to comment #12)
> Since this bugzilla report was filed, there have been several major updates in
> various components of the Xorg system, which may have resolved this issue.
> Users who have experienced this problem are encouraged to upgrade their system
> to the latest version of their packages. For packages from updates-testing
> repository you can use command
> 
> yum upgrade --enablerepo='*-updates-testing'
> 
> Alternatively, you can also try to test whether this bug is reproducible with
> the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta
> available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using
> that you get all the latest packages without need to install anything on your
> computer. For more information on using LiveMedia take a look at
> https://fedoraproject.org/wiki/FedoraLiveCD .
> 
> Please, if you experience this problem on the up-to-date system, let us now in
> the comment for this bug, or whether the upgraded system works for you.
> 
> If you won't be able to reply in one month, I will have to close this bug as
> INSUFFICIENT_DATA. Thank you.
> 
> [This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm
> adding myself to the CC list for each bug, so I'll see any comments you make
> after this and do my best to make sure every issue gets proper attention.]    

I confirm in response to comment 12 that the bug is still there in Fedora 12.
The issue is being tracked upstreams as stated in comment 10. The problem is that the old i810 driver relied on the Video BIOS to setup the National Semiconductor NA-2501 DVO chip. The new "intel" Xorg driver does not support the National Semiconductor NA-2501 chip, even though Intel supports this chip with the Intel Embedded Graphics Driver. For more details see the upstream bug.
Comment 18 Adam Jackson 2010-04-26 17:36:28 EDT
Marking UPSTREAM as per comment #10.

Note You need to log in before you can comment on or make changes to this bug.